Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class ExpressionHelper.ParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      com.beasys.commerce.util.ExpressionHelper.ParseException

All Implemented Interfaces
  Serializable

Enclosing class:
  ExpressionHelper

Deprecated See BEA Commerce product offering

    public static class ExpressionHelper.ParseException

extends IllegalArgumentException

Exception to report an error while parsing a query expression.

See Also
  Serialized Form

Field Summary
`int` | `column` Deprecated See BEA Commerce product offering
`int` | `line` Deprecated See BEA Commerce product offering
`String` | `token` Deprecated See BEA Commerce product offering

Constructor Summary
`ExpressionHelper.ParseException(String mesg, int line, int column, String token)` Deprecated See BEA Commerce product offering

Method Summary
`String` | `getMessage()` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### line

    public int line

  Deprecated See BEA Commerce product offering
  The line number of the error.

  Less than 0 for unknown.

### column

    public int column

  Deprecated See BEA Commerce product offering
  The column number of the error.

  Less than 0 for unknown.

### token

    public String token

  Deprecated See BEA Commerce product offering
  The possible error token.

  Null for unknown.

Constructor Detail

### ExpressionHelper.ParseException

    public ExpressionHelper.ParseException(String mesg,
                                           int line,
                                           int column,
                                           String token)

  Deprecated See BEA Commerce product offering

  Constructor.

Method Detail

### getMessage

    public String getMessage()

  Deprecated See BEA Commerce product offering

  Get the exception message.

  Overrides:
    `getMessage` in class `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved